Subject: Bug#1022: x2goserver fails to start with most recent Ubuntu 16.04 updates (20160408)

From: Rudolf Mayer <[email-masked]>
Date: Tue, 19 Apr 2016 17:41:14 +0200

I have exactly the same problem, in a VM in Xenserver, perfectly 
reproducible.

The working system is based on an Ubuntu Server 16.04 64 Bit Beta 2, 
once I upgrade, X2Go stops working, with the same kind of error message.

Apr 19 17:39:27 [] /usr/bin/x2goruncommand: launching session with 
Xsession-x2go mechanism, using STARTUP="mate-session"
Apr 19 17:39:29 [] mate-session[14491]: GLib-GIO-CRITICAL: 
g_settings_schema_source_lookup: assertion 'source != NULL' failed
Apr 19 17:39:29 [] mate-session[14491]: GLib-GIO-ERROR: No GSettings 
schemas are installed on the system#012aborting...
Apr 19 17:39:29 [] kernel: [ 1862.499144] do_trap: 12 callbacks suppressed
Apr 19 17:39:29 [] kernel: [ 1862.499148] traps: mate-session[14491] 
trap int3 ip:7fe0b30e49eb sp:7ffd7ec9adb0 error:0

Once I revert to a snapshot before the upgrade, X2go works again, 
upgrading one more time and it fails again..

Attached are lists of packages and version before and after the upgrade, 
maybe that helps.

Kind regards,
Rudolf